# Uses of Interface
org.eclipse.microprofile.openapi.models.info.Info

Packages that use Info
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.info
A set of interfaces of programmable models to represent metadata about the API, including license information and contact information of the exposed API.

## Uses of Info in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Info
Modifier and Type
Method
Description
`static Info`
OASFactory.`createInfo()`
This method creates a new `Info` instance.

## Uses of Info in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return Info
Modifier and Type
Method
Description
`Info`
OpenAPI.`getInfo()`
Returns the info property from an OpenAPI instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Info
Modifier and Type
Method
Description
`default OpenAPI`
OpenAPI.`info(Info info)`
Sets this OpenAPI instance's info property to the given object.
`void`
OpenAPI.`setInfo(Info info)`
Sets this OpenAPI instance's info property to the given object.

## Uses of Info in org.eclipse.microprofile.openapi.models.info

Methods in org.eclipse.microprofile.openapi.models.info that return Info
Modifier and Type
Method
Description
`default Info`
Info.`contact(Contact contact)`
Sets this Info instance's contact information for the exposed API and returns this instance of Info.
`default Info`
Info.`description(String description)`
Sets this Info instance's description for the application to the given description and returns this instance of Info.
`default Info`
Info.`license(License license)`
Sets this Info's license information for the exposed API and returns this instance of Info.
`default Info`
Info.`termsOfService(String termsOfService)`
Sets this Info instance's URL to the Terms of Service for the API to the given String and returns this instance of Info.
`default Info`
Info.`title(String title)`
Sets this Info instance's title for the application to the given title and returns this instance of Info
`default Info`
Info.`version(String version)`
Sets the version of the OpenAPI document for this instance of Info to the given version and returns this instance of Info